org.eclipse.wst.jsdt.ui

## Interface IPackagesViewPart

    public interface IPackagesViewPart

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Method Summary

All Methods Instance Methods Abstract Methods
`TreeViewer` `getTreeViewer()` Returns the TreeViewer shown in the Packages view.
`boolean` `isLinkingEnabled()` Returns whether this Packages view's selection automatically tracks the active editor.
`void` `selectAndReveal(java.lang.Object element)` Selects and reveals the given element in this packages view.
`void` `setLinkingEnabled(boolean enabled)` Sets whether this Packages view's selection automatically tracks the active editor.

### Method Detail

#### selectAndReveal

    void selectAndReveal(java.lang.Object element)

Selects and reveals the given element in this packages view. The tree will be expanded as needed to show the element.

Parameters:
  `element` - the element to be revealed

#### getTreeViewer

    TreeViewer getTreeViewer()

Returns the TreeViewer shown in the Packages view.

Returns:
  the tree viewer used in the Packages view

#### isLinkingEnabled

    boolean isLinkingEnabled()

Returns whether this Packages view's selection automatically tracks the active editor.

Returns:
  `true` if linking is enabled, `false` if not

#### setLinkingEnabled

    void setLinkingEnabled(boolean enabled)

Sets whether this Packages view's selection automatically tracks the active editor.

Parameters:
  `enabled` - `true` to enable, `false` to disable